%{?mingw_package_header}

# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-glibmm24
Version:        2.66.6
Release:        %mkrel 1
Summary:        MinGW Windows C++ interface for GTK2 (a GUI library for X)

License:        LGPLv2+
Group:          Development/Other
URL:            https://www.gtkmm.org/
Source0:        https://ftp.gnome.org/pub/GNOME/sources/glibmm/%{release_version}/glibmm-%{version}.tar.xz
# Export Glib::Threads::wrap symbols (#2017676)
Patch0:         glibmm_export-symbols.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-libsigc++20 >= 2.0.0
BuildRequires:  mingw64-libsigc++20 >= 2.0.0
BuildRequires:  mingw32-glib2 >= 2.48.0
BuildRequires:  mingw64-glib2 >= 2.48.0

BuildRequires:  meson
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)

%description
glibmm provides a C++ interface to the GTK+ GLib low-level core
library. Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.


# Win32
%package -n mingw32-glibmm24
Summary:        MinGW Windows C++ interface for GTK2 (a GUI library for X)

%description -n mingw32-glibmm24
glibmm provides a C++ interface to the GTK+ GLib low-level core
library. Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.

%package -n mingw32-glibmm24-static
Summary:        Static cross compiled version of the glibmm library
Requires:       mingw32-glibmm24 = %{version}-%{release}

%description -n mingw32-glibmm24-static
Static cross compiled version of the glibmm library.

# Win64
%package -n mingw64-glibmm24
Summary:        MinGW Windows C++ interface for GTK2 (a GUI library for X)

%description -n mingw64-glibmm24
glibmm provides a C++ interface to the GTK+ GLib low-level core
library. Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.

%package -n mingw64-glibmm24-static
Summary:        Static cross compiled version of the glibmm library
Requires:       mingw64-glibmm24 = %{version}-%{release}

%description -n mingw64-glibmm24-static
Static cross compiled version of the glibmm library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n glibmm-%{version}


%build
%mingw_meson --default-library=both
%mingw_ninja


%install
%mingw_ninja_install


# Win32
%files -n mingw32-glibmm24
%license COPYING COPYING.tools
%{mingw32_bindir}/libgiomm-2.4-1.dll
%{mingw32_bindir}/libglibmm-2.4-1.dll
%{mingw32_bindir}/libglibmm_generate_extra_defs-2.4-1.dll
%{mingw32_libdir}/libgiomm-2.4.dll.a
%{mingw32_libdir}/libglibmm-2.4.dll.a
%{mingw32_libdir}/libglibmm_generate_extra_defs-2.4.dll.a
%{mingw32_libdir}/giomm-2.4
%{mingw32_libdir}/glibmm-2.4
%{mingw32_includedir}/giomm-2.4
%{mingw32_includedir}/glibmm-2.4
%{mingw32_libdir}/pkgconfig/giomm-2.4.pc
%{mingw32_libdir}/pkgconfig/glibmm-2.4.pc

%files -n mingw32-glibmm24-static
%{mingw32_libdir}/libgiomm-2.4.a
%{mingw32_libdir}/libglibmm-2.4.a
%{mingw32_libdir}/libglibmm_generate_extra_defs-2.4.a

# Win64
%files -n mingw64-glibmm24
%license COPYING COPYING.tools
%{mingw64_bindir}/libgiomm-2.4-1.dll
%{mingw64_bindir}/libglibmm-2.4-1.dll
%{mingw64_bindir}/libglibmm_generate_extra_defs-2.4-1.dll
%{mingw64_libdir}/libgiomm-2.4.dll.a
%{mingw64_libdir}/libglibmm-2.4.dll.a
%{mingw64_libdir}/libglibmm_generate_extra_defs-2.4.dll.a
%{mingw64_libdir}/giomm-2.4
%{mingw64_libdir}/glibmm-2.4
%{mingw64_includedir}/giomm-2.4
%{mingw64_includedir}/glibmm-2.4
%{mingw64_libdir}/pkgconfig/giomm-2.4.pc
%{mingw64_libdir}/pkgconfig/glibmm-2.4.pc

%files -n mingw64-glibmm24-static
%{mingw64_libdir}/libgiomm-2.4.a
%{mingw64_libdir}/libglibmm-2.4.a
%{mingw64_libdir}/libglibmm_generate_extra_defs-2.4.a



%changelog
* Fri Oct 13 2023 daviddavid <daviddavid> 2.66.6-1.mga10
+ Revision: 1995559
- new version: 2.66.6

* Mon Nov 21 2022 daviddavid <daviddavid> 2.66.5-1.mga9
+ Revision: 1909819
- new version 2.66.5

* Fri Mar 25 2022 umeabot <umeabot> 2.64.5-2.mga9
+ Revision: 1826915
- Mageia 9 Mass Rebuild

* Tue Dec 01 2020 ovitters <ovitters> 2.64.5-1.mga8
+ Revision: 1651095
- new version 2.64.5

* Sat Nov 21 2020 ovitters <ovitters> 2.64.4-1.mga8
+ Revision: 1648207
- new version 2.64.4

* Sat Sep 26 2020 tv <tv> 2.64.2-2.mga8
+ Revision: 1630202
- rebuild for new mingw stack

* Sun Mar 22 2020 ovitters <ovitters> 2.64.2-1.mga8
+ Revision: 1558851
- new version 2.64.2

* Thu Mar 19 2020 daviddavid <daviddavid> 2.64.1-1.mga8
+ Revision: 1557945
- new version: 2.64.1

* Sun Feb 16 2020 umeabot <umeabot> 2.62.0-2.mga8
+ Revision: 1533247
- Mageia 8 Mass Rebuild

* Thu Sep 19 2019 daviddavid <daviddavid> 2.62.0-1.mga8
+ Revision: 1443816
- new version: 2.62.0

* Wed Aug 28 2019 daviddavid <daviddavid> 2.60.0-1.mga8
+ Revision: 1434724
- new version: 2.60.0

* Sun Mar 17 2019 daviddavid <daviddavid> 2.58.1-1.mga7
+ Revision: 1378450
- new version: 2.58.1

* Sat Mar 16 2019 daviddavid <daviddavid> 2.58.0-1.mga7
+ Revision: 1377800
- new version: 2.58.0

* Thu Sep 20 2018 umeabot <umeabot> 2.56.0-2.mga7
+ Revision: 1279723
- Mageia 7 Mass Rebuild

* Thu Aug 02 2018 daviddavid <daviddavid> 2.56.0-1.mga7
+ Revision: 1246814
- new version: 2.56.0

* Wed Apr 06 2016 tv <tv> 2.48.1-1.mga6
+ Revision: 998934
- BR glib2.0-common
+ ovitters <ovitters>
- new version 2.48.1
- new version 2.48.0
- new version 2.47.92
- new version 2.47.6
+ neoclust <neoclust>
- Sync with fedora 24
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.38.2-4.mga5
+ Revision: 749707
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.38.2-3.mga5
+ Revision: 727300
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.38.2-2.mga5
+ Revision: 682441
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 ovitters <ovitters> 2.38.2-1.mga5
+ Revision: 613979
- new version 2.38.2
- new version 2.38.1

* Sat Oct 19 2013 umeabot <umeabot> 2.37.6-2.mga4
+ Revision: 536328
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 2.37.6-1.mga4
+ Revision: 484140
- imported package mingw-glibmm24


* Tue Sep  3 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.37.6-1
- update to 2.37.6

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.36.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.36.2-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Mon May  6 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.36.2-1
- update to 2.36.2

* Mon Apr  1 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.35.9-1
- update to 2.35.9

* Sun Mar  3 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.35.8-1
- update to 2.35.8

* Sun Jan 27 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.34.1-2
- Rebuild against mingw-gcc 4.8 (win64 uses SEH exceptions now)

* Wed Nov 28 2012 Kalev Lember <kalevlember@gmail.com> - 2.34.1-1
- Update to 2.34.1

* Fri Aug  3 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.32.1-1
- update to 2.32.1

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 14 2012 Kalev Lember <kalevlember@gmail.com> - 2.32.0-1
- Update to 2.32.0

* Sun Apr  8 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.31.22-1
- Update to 2.31.22
- Added -static subpackage
- Cleaned up unneeded %%global tags
- Dropped upstreamed patches

* Thu Mar 15 2012 Kalev Lember <kalevlember@gmail.com> - 2.31.2-5
- Build 64 bit Windows binaries

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.31.2-4
- Renamed the source package to mingw-glibmm24 (RHBZ #800875)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Kalev Lember <kalevlember@gmail.com> - 2.31.2-3
- Remove .la files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.31.2-2
- Rebuild against the mingw-w64 toolchain

* Sat Jan 14 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.31.2-1
- Update to 2.31.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 30 2011 Kalev Lember <kalevlember@gmail.com> - 2.30.0-1
- Update to 2.30.0
- Use automatic mingw dep extraction
- Clean up the spec file for recent rpmbuild
- Drop hacks for sed'ing headers; this is now in upstream

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 2.28.1-2
- Rebuilt against win-iconv

* Tue May 10 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.1-1
- Update to 2.28.1
- Dropped upstreamed unixfdlist patch

* Mon May 02 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.0-2
- Backported an upstream patch to avoid including unixfdlist.h on win32

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.0-1
- Update to 2.28.0
- Use macro for calculating two digit version in download url

* Wed Apr 27 2011 Kalev Lember <kalev@smartlink.ee> - 2.27.93-2
- Rebuilt for proxy-libintl removal

* Sun Feb 13 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.27.93-1
- update to 2.27.93

* Mon Dec  6 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.27.4-1
- update to 2.27.4

* Thu Aug  5 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.1-1
- update to 2.24.1

* Sun Feb 28 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.23.2-1
- update to 2.23.2

* Sun Jan 31 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.23.1-1
- update to 2.23.1

* Tue Oct  6 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.22.1-2
- remove nonexisting (on windows) files from giomm.h header

* Sun Sep 27 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.22.1-1
- update to 2.22.1 to match native package

* Sat Sep 19 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.21.5-1
- update to 2.21.5 to match native package

* Mon Aug 31 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.21.4-1
- update to 2.21.4 to match native package

* Mon Aug 31 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.21.3-1
- update to 2.21.3 to match native package

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.20.0-4
- add debuginfo packages

* Fri Apr 17 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.20.0-3
- fix extradefs build failure

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.20.0-2
- update to 2.20.0
- replace %%define with %%global

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.19.2-1
- update to 2.19.2

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-5
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-4
- Include license.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-3
- Use _smp_mflags.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-2
- Initial RPM release.
